petsc-3.10.5 2019-03-28
Report Typos and Errors

# TAOLCL

linearly constrained lagrangian method for pde-constrained optimization

| -tao_lcl_eps1 | - epsilon 1 tolerance
| -tao_lcl_eps2","epsilon 2 tolerance","",lclP | - >eps2,&lclP->eps2,NULL);CHKERRQ(ierr);
| -tao_lcl_rho0","init value for rho","",lclP | - >rho0,&lclP->rho0,NULL);CHKERRQ(ierr);
| -tao_lcl_rhomax","max value for rho","",lclP | - >rhomax,&lclP->rhomax,NULL);CHKERRQ(ierr);
| -tao_lcl_phase2_niter | - Number of phase 2 iterations in LCL algorithm
| -tao_lcl_verbose | - Print verbose output if True
| -tao_lcl_tola | - Tolerance for first forward solve
| -tao_lcl_tolb | - Tolerance for first adjoint solve
| -tao_lcl_tolc | - Tolerance for second forward solve
| -tao_lcl_told | - Tolerance for second adjoint solve

### Level

beginner

### Location

src/tao/pde_constrained/impls/lcl/lcl.c

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages